define(function(require){"use strict";var d3=require("d3"),DataMixins=require("drc/mixins/DataMixins.min"),$=require("jquery"),_=require("lodash"),PieChartActions=require("drc/pie-chart/PieChartActions.min"),PieChartStore=require("drc/pie-chart/PieChartStore.min"),React=require("react"),Utils=require("drc/utils/Utils.min"),defaultColors=["#00B0F1","#6DD2F7","#58C99E","#11B275","#53959C","#545F88","#6E4A99","#D35E5E","#E4C000","#F37E1C","#ECECEC","#BC0C0C"],PieChart=React.createClass({displayName:"PieChart",propTypes:{componentId:React.PropTypes.string.isRequired,colors:React.PropTypes.array,definition:React.PropTypes.object.isRequired,filters:React.PropTypes.object,loadingIconClasses:React.PropTypes.oneOfType([React.PropTypes.string,React.PropTypes.array])},mixins:[DataMixins.dataRequest,DataMixins.destroySelfOnUnmount(PieChartActions),DataMixins.eventSubscription(PieChartStore)],chart:null,arc:null,extraRadius:0,getInitialState:function(){return this.colors=this.props.colors&&_.isArray(this.props.colors)?this.props.colors:defaultColors,{loading:!0,svgID:"pieChart"+this.props.componentId,dataStack:[],selectedRowName:null,width:1,height:1,radius:1,dataError:!1}},createVisualization:function(data){var colorCounter=0,delay=data.length>5?data.length>8?25:50:75;d3.select("#"+this.state.svgID+"-container").selectAll("*").remove();var pie=d3.layout.pie().padAngle(.03).value(function(dataNode){return dataNode.value}).sort(null),g=this.chart.selectAll("path").data(pie(data)).enter(),group=g.append("path");group.style("fill",function(){return this.colors[colorCounter++]}.bind(this)).style("cursor",function(dataNode){return _.isArray(dataNode.data.children)&&dataNode.data.children.length?"pointer":void 0}).transition().delay(function(dataNode,index){return index*delay}).duration(150).attrTween("d",function(dataNode){var interpolate=d3.interpolate(dataNode.startAngle+.1,dataNode.endAngle);return function(time){return dataNode.endAngle=interpolate(time),this.arc(dataNode)}.bind(this)}.bind(this)).each("end",function(){setTimeout(function(){group.on("click",this.drillIn),group.on("mouseover",this.mouseover),group.on("mouseleave",this.mouseout)}.bind(this),400)}.bind(this))},drillIn:function(node){if(node.data.children){var dataStack=this.state.dataStack;dataStack.push({data:node.data.children,label:node.data.name+" - "+node.data.percent+"%"}),this.createVisualization(node.data.children),this.setState({dataStack:dataStack}),$("#item-list-"+this.props.componentId).scrollTop(0)}},drillOut:function(){var dataStack=this.state.dataStack;dataStack.pop(),this.createVisualization(_.last(dataStack).data),this.setState({dataStack:dataStack}),$("#item-list-"+this.props.componentId).scrollTop(0)},mouseover:function(dataNode){this.setState({selectedRowName:dataNode.data.name}),this.chart.selectAll("path").attr("d",this.arc),this.extraRadius=10,this.chart.selectAll("#"+this.state.svgID+" path").filter(function(node){return node.data.name===dataNode.data.name}).transition().duration(100).attr("d",this.arc),this.extraRadius=0},mouseout:function(){var mouseover=this.mouseover;this.setState({selectedRowName:null}),this.chart.selectAll("path").on("mouseover",null),this.chart.selectAll("path").transition().duration(100).attr("d",this.arc).each(function(){d3.select(this).on("mouseover",mouseover)})},onDataReceived:function(){var data=PieChartStore.getData(this.props.componentId);if(!data)return void this.onError();var chartContainer=d3.select("#"+this.state.svgID),width=Math.min(325,parseInt(chartContainer.style("width")))-25,height=.75*width,radius=Math.min(width,height)/2-20,dataStack=this.state.dataStack;dataStack.push({data:data,label:null}),this.setState({width:width,height:height,radius:radius,dataStack:dataStack,loading:!1}),this.chart=d3.select("#"+this.state.svgID+"-container"),this.arc=d3.svg.arc().outerRadius(_.bind(function(){return radius+this.extraRadius},this)).innerRadius(radius-50),this.createVisualization(data)},onError:function(){this.setState({loading:!1,dataError:!0})},requestData:function(){this.setState({loading:!0,dataError:!1}),PieChartActions.requestData(this.props.componentId,this.props.definition,this.props.filters)},componentDidUpdate:function(){var selectedRow=$("tr.selected");if(selectedRow&&void 0!==selectedRow.prop("rowIndex")){var rowIndex=selectedRow.prop("rowIndex"),scrollHeight=0;rowIndex>3&&(scrollHeight=47*(rowIndex-rowIndex%4)),$("#item-list-"+this.props.componentId).stop().animate({scrollTop:scrollHeight},150)}},getRowDisplay:function(){var i,rows=[],dataList=_.last(this.state.dataStack);if(!dataList)return!1;for(dataList=dataList.data,i=0;i<dataList.length;i++){var data=dataList[i],color={backgroundColor:this.colors[i]},isSelected=this.state.selectedRowName===data.name,rowBackground=isSelected?{borderLeft:"solid 6px "+this.colors[i]}:{},rowClasses=Utils.classSet({"table-even":i%2,"table-odd":i%2===0,selected:isSelected});rows.push(React.createElement("tr",{key:"table-row-"+i,className:rowClasses},React.createElement("td",null,React.createElement("div",{className:"row-container",style:rowBackground},React.createElement("span",{className:"color-legend",style:color}),React.createElement("span",{className:"table-key"},data.name),React.createElement("span",{className:"table-val",title:"Count: "+data.value},data.percent+"%")))))}return rows},render:function(){var noResults,breadCrumb,tableContents=this.getRowDisplay(),currentData=_.last(this.state.dataStack);currentData&&currentData.label&&(breadCrumb=React.createElement("span",{className:"breadCrumb",onClick:this.drillOut},React.createElement("i",{className:"ion ion-chevron-left"}),currentData.label));var containerClasses=Utils.classSet({"data-container":!0,masked:this.state.loading||this.state.dataError,error:this.state.dataError});return currentData&&!currentData.data.length&&(noResults=React.createElement("div",{className:"no-results"},"There were no results that matched the selected range.")),React.createElement("div",{className:"data-component pie-chart"},React.createElement("span",{className:"module-sub-heading"},PieChartStore.getLabel(this.props.componentId)),React.createElement("div",{className:containerClasses},React.createElement("i",{className:Utils.getLoaderClasses(this.state.loading,this.props.loadingIconClasses)}),React.createElement("div",{className:"pie-chart-data"},breadCrumb,noResults,React.createElement("div",{id:this.state.svgID,ref:"chartNode",className:"pie-chart-wrapper"},React.createElement("svg",{height:this.state.height,width:this.state.width},React.createElement("g",{key:this.state.svgID,id:this.state.svgID+"-container",transform:"translate("+this.state.width/2+","+this.state.height/2+")"})))),React.createElement("div",{className:"table-container",id:"item-list-"+this.props.componentId},React.createElement("table",{className:"table-body"},React.createElement("tbody",null,tableContents)))))}});return PieChart});
