define(function(require){"use strict";var DataMixins=require("drc/mixins/DataMixins.min"),_=require("lodash"),React=require("react"),TableActions=require("drc/table/TableActions.min"),TableStore=require("drc/table/TableStore.min"),Utils=require("drc/utils/Utils.min"),iconClasses={deselectAll:"fa fa-minus-square-o",pageLeft:"fa fa-chevron-left",pageRight:"fa fa-chevron-right",rowsCollapsed:"fa fa-chevron-right",rowsExpanded:"fa fa-chevron-down",selectAll:"fa fa fa-square-o",selectOn:"fa fa-check-square-o",selectOff:"fa fa-square-o",sortAsc:"fa fa-sort-asc",sortDesc:"fa fa-sort-desc",sortInactive:"fa fa-sort",statusOn:"fa fa-circle",statusOff:"fa fa-circle-o"};return{displayName:"BasicTable",mixins:[DataMixins.dataRequest,DataMixins.destroySelfOnUnmount(TableActions),DataMixins.eventSubscription(TableStore)],quickFilterEnabled:!1,getDefaultProps:function(){return{noResultsText:"No results found.",quickFilterPlaceholder:"Filter"}},getInitialState:function(){return this.selectionEnabled=_.some(this.props.definition.cols,function(col){return"select"===col.dataType})?!0:!1,this.quickFilterEnabled=_.some(this.props.definition.cols,function(col){return col.quickFilter===!0})?!0:!1,this.iconClasses=_.merge(_.clone(iconClasses),this.props.iconClasses),{loading:!0,data:null,dataError:!1,selectedItems:{},advancedFilters:this.props.definition.advancedFilters||null}},render:function(){var thead,tbody,paginationControls,noResults,containerClasses=Utils.classSet({"data-container":!0,"masked-darker":this.state.loading||this.state.dataError,error:this.state.dataError}),quickFilter=this.getQuickFilter(),advancedFiltersMarkup=this.getAdvancedFilters();return this.state.data&&(thead=this.state.colDefinitions.map(this.getTableHeaderItem),tbody=this.state.data.map(this.getTableRowItem),paginationControls=this.getPaginationControls()),this.state.data&&!this.state.data.length&&(noResults=React.createElement("div",{className:"no-results"},this.props.noResultsText)),React.createElement("div",{className:"data-component table-component no-select"},React.createElement("div",{className:containerClasses},React.createElement("i",{className:Utils.getLoaderClasses(this.state.loading,this.props.loadingIconClasses)}),quickFilter,advancedFiltersMarkup,paginationControls,React.createElement("table",null,React.createElement("thead",null,thead),React.createElement("tbody",null,tbody)),noResults))},requestData:function(){this.setState({loading:!0,dataError:!1}),TableActions.requestData(this.props.componentId,this.props.definition,this.props.dataFormatter,this.props.filters)},onDataReceived:function(){var table=TableStore.getInstance(this.props.componentId),data=table.getData(),colDefs=table.getColDefinitions();return data?void this.setState({colDefinitions:colDefs,colSortDirections:this.getColSortDirections(colDefs),dataCount:table.getDataCount(),data:data,filteredData:table.getFilteredData(),loading:!1,pagination:table.getPaginationData(),rowClick:table.getRowClickData(),selectedItems:this.selectionEnabled?table.getSelectedItems():null,sortColIndex:table.getSortColIndex()}):void this.onError()},onError:function(){this.setState({loading:!1,dataError:!0})},getQuickFilter:function(){return!this.quickFilterEnabled||this.state.loading?null:React.createElement("input",{ref:"filter",className:"quick-filter",type:"search",placeholder:this.props.quickFilterPlaceholder,onChange:this.handleQuickFilterChange})},getAdvancedFilters:function(){var filtersMarkup=[];return!this.state.advancedFilters||_.isEmpty(this.state.advancedFilters)||this.state.loading?null:(_.each(this.state.advancedFilters,function(filter,index){filtersMarkup.push(this.getAdvancedFilterItemMarkup(filter,index))},this),React.createElement("div",{className:"advanced-filters"},filtersMarkup))},getAdvancedFilterItemMarkup:function(filter,index){return React.createElement("div",{key:index,className:"advanced-filter-item"},React.createElement("label",{htmlFor:"filter-"+index,className:"no-select"},filter.label),React.createElement("input",{id:"filter-"+index,type:"checkbox",checked:filter.checked||!1,onChange:this.handleAdvancedFilterToggle.bind(this,filter)}))},getPaginationControls:function(){if(!this.state.data||!this.state.data.length||!this.state.pagination)return null;var handlePageLeftClick,handlePageRightClick,len=this.state.dataCount,cursor=this.state.pagination.cursor+1,size=this.state.pagination.size,lastDisplayedVal=cursor+size-1>len?len:cursor+size-1,disableLeft=1===cursor,disableRight=cursor+size-1>=len;disableLeft||(handlePageLeftClick=this.handlePageLeftClick),disableRight||(handlePageRightClick=this.handlePageRightClick);var cx=Utils.classSet,leftControl=cx({"left-control":!0,disabled:disableLeft,hide:disableLeft&&disableRight}),rightControl=cx({"right-control":!0,disabled:disableRight,hide:disableLeft&&disableRight});return React.createElement("div",{className:"pagination-controls no-select clear-fix"},cursor,React.createElement("span",null,"-"),lastDisplayedVal,React.createElement("span",null,"  of  "),this.state.dataCount,React.createElement("i",{className:leftControl+" "+this.iconClasses.pageLeft,onClick:handlePageLeftClick}),React.createElement("i",{className:rightControl+" "+this.iconClasses.pageRight,onClick:handlePageRightClick}))},getColSortDirections:function(colDefinitions){var colSortDirections=[];return colDefinitions.map(function(colData){var direction=colData.sortDirection;"ascending"===direction||"descending"===direction?colSortDirections.push(direction):colSortDirections.push("off")}),colSortDirections},getTableRowItem:function(rowData,index){var handleRowClick,onMouseDown,row=[],rowClasses=Utils.classSet({"hover-enabled":this.state.rowClick,"text-select":!0,"error-row":rowData.isError});return rowData.shownByAdvancedFilters&&(rowClasses+=" table-filter-"+rowData.shownByAdvancedFilters.join(" table-filter-")),_.forIn(this.state.colDefinitions,function(val,colIndex){row.push(this.getTableData(rowData[val.dataProperty],val,val.hoverProperty?rowData[val.hoverProperty]:null,colIndex,rowData.online))}.bind(this)),this.state.rowClick&&(handleRowClick=this.handleRowClick,onMouseDown=this.onMouseDown),React.createElement("tr",{key:"tr-"+index,className:rowClasses,onClick:handleRowClick,onMouseDown:onMouseDown},row)},getTableHeaderItem:function(colData,index){var icon,onClick,headerClasses="no-select";return"select"===colData.dataType&&this.state.data&&this.state.data.length?(icon=this.getBulkSelectionIcon(colData),onClick=this.handleBulkSelectClick.bind(this,"Deselect All"===icon.props.title),headerClasses+=" select-column-th"):colData.sortDirection&&this.state.data&&this.state.data.length&&(icon=this.getSortIcon(index),onClick=this.handleSortClick.bind(this,index),headerClasses+=" indicator"),React.createElement("th",{className:headerClasses,title:colData.headerLabel,key:"th-"+index,style:{width:colData.width},onClick:onClick},colData.headerLabel,icon)},getBulkSelectionIcon:function(colData){var filteredData=this.state.filteredData,match=_.some(filteredData,function(data){return this.state.selectedItems[data[colData.dataProperty]]}.bind(this)),iconClassString=match?this.iconClasses.deselectAll:this.iconClasses.selectAll;return React.createElement("i",{className:iconClassString,title:match?"Deselect All":"Select All"})},getSortIcon:function(index){var classes={"sorting-indicator":!0};return this.state.sortColIndex===index?(classes.active=!0,"ascending"===this.state.colSortDirections[index]?(classes[this.iconClasses.sortAsc]=!0,classes.asc=!0):(classes[this.iconClasses.sortDesc]=!0,classes.desc=!0)):(classes[this.iconClasses.sortInactive]=!0,classes["sort-inactive"]=!0),React.createElement("i",{className:Utils.classSet(classes)})},getTableData:function(val,meta,hoverValue,index,online){var afterIcon,iconClassString,contentClasses="content";return"select"===meta.dataType?(iconClassString=this.state.selectedItems&&this.state.selectedItems[val]?this.iconClasses.selectOn+" on":this.iconClasses.selectOff+" off",React.createElement("td",{className:"select-column-td no-select",title:this.state.selectedItems&&this.state.selectedItems[val]?"Deselect":"Select",key:"td-"+index,onClick:this.handleSelectClick},React.createElement("i",{className:iconClassString}))):("status"===meta.dataType&&(contentClasses+=" before-icon",iconClassString=online?this.iconClasses.statusOn+" status-on":this.iconClasses.statusOff+" status-off",afterIcon=React.createElement("i",{className:"after-icon "+iconClassString})),hoverValue=hoverValue||val,React.createElement("td",{className:"status",key:"td-"+index},React.createElement("span",{className:contentClasses,title:hoverValue},val),afterIcon))},handleQuickFilterChange:function(e){TableActions.filter(this.props.componentId,e.target.value)},handleAdvancedFilterToggle:function(filter){null===filter.checked&&(filter.checked=!1),filter.checked=!filter.checked,TableActions.advancedFilter(this.props.componentId,this.state.advancedFilters)},handlePageLeftClick:function(){TableActions.paginate(this.props.componentId,"left")},handlePageRightClick:function(){TableActions.paginate(this.props.componentId,"right")},handleSortClick:function(index){var direction;direction=this.state.sortColIndex===index?"ascending"===this.state.colSortDirections[index]?"descending":"ascending":this.state.colSortDirections[index],TableActions.sortChange(this.props.componentId,index,direction)},onMouseDown:function(e){this.mouseDownX=e.clientX},handleRowClick:function(e){if(this.mouseDownX&&Math.abs(this.mouseDownX-e.clientX)>10)return void(this.mouseDownX=null);if("function"!=typeof this.state.rowClick.callback)throw new Error("The rowClick property in a table declaration must be a function and was received with a type of "+typeof this.state.rowClick+".");this.state.rowClick.callback(e,this.props,this.state)},handleBulkSelectClick:function(deselect,e){e.stopPropagation(),TableActions.toggleBulkSelect(this.props.componentId,deselect)},handleSelectClick:function(e){e.stopPropagation(),TableActions.toggleRowSelect(this.props.componentId,e.currentTarget.parentNode.rowIndex)}}});
