define(function(require){"use strict";var AppDispatcher=require("drc/dispatcher/AppDispatcher.min"),_=require("lodash"),moment=require("moment"),StoreBase=require("drc/lib/StoreBase.min"),TableActions=require("drc/table/TableActions.min"),ActionTypes=TableActions.actionTypes,Table=function(id,definition,dataFormatter){this.id=id,this.url=definition.url,this.cols=definition.cols,this.sortColIndex=definition.sortColIndex,this.pagination=definition.pagination,this.cursor=definition.cursor,this.rowClick=definition.rowClick,this.advancedFilters=definition.advancedFilters,this.data=null,this.filteredData=null,this.displayedData=null,this.dataCount=null,this.dataFormatter=dataFormatter,this.selectedItems={},this.selectDataProperty=_.result(_.find(this.cols,{dataType:"select"}),"dataProperty")};Table.prototype={onDataReceived:function(data){this.data=_.values(data),this.dataFormatter&&(this.data=this.dataFormatter(data)),this.dataCount=this.data.length,_.forEach(this.cols,function(col){"status"===col.dataType&&("number"!=typeof col.onlineLimit||col.onlineLimit<1)&&(col.onlineLimit=15),_.forEach(this.data,function(item){"percent"===col.dataType?item[col.dataProperty]+="%":("time"===col.dataType||"status"===col.dataType)&&("status"===col.dataType&&item[col.dataProperty]&&(item.online=moment(item[col.dataProperty]).valueOf()>moment(Date.now()).subtract(col.onlineLimit,"minutes").valueOf()),item[col.dataProperty+"Timestamp"]=item[col.dataProperty]||null,item[col.dataProperty]=item[col.dataProperty]?moment(item[col.dataProperty]).format(col.timeFormat):"--")})},this),this.selectedItems={},this.filterValue=null,"number"==typeof this.sortColIndex&&this.sortData(this.sortColIndex,this.cols[this.sortColIndex].sortDirection)},errorFunction:function(){this.data=null},getData:function(){return this.dataCount=this.data.length,this.filteredData=this.filterData(this.data),this.displayedData=this.pagination?this.sliceData(this.filteredData):this.filteredData,this.displayedData},getDataCount:function(){return this.dataCount},getColDefinitions:function(){return this.cols},getSortColIndex:function(){return this.sortColIndex},getRowClickData:function(){return this.rowClick},getPaginationData:function(){return this.pagination},setFilterValue:function(value){this.filterValue=value,this.pagination&&0!==this.pagination.cursor&&this.resetPagination()},setAdvancedFilters:function(advancedFilters){this.advancedFilters=advancedFilters,this.pagination&&0!==this.pagination.cursor&&this.resetPagination()},filterData:function(data){return this.filterValue&&(data=this.quickFilterData(data,this.filterValue)),this.advancedFilters&&(data=this.advancedFilterData(data,this.advancedFilters)),this.dataCount=data.length,data},quickFilterData:function(data,filterValue){filterValue=filterValue.toString().toLowerCase();var filterProperties=[];return _.each(this.cols,function(col){col.quickFilter&&filterProperties.push(col.dataProperty)}),filterProperties.length?_.filter(data,function(item){return _.some(filterProperties,function(propName){return item[propName].toString().toLowerCase().indexOf(filterValue)>-1})}):data},advancedFilterData:function(data,filters){return _.filter(_.map(data,function(item){var shown=!0;return _.each(filters,function(filter){item[filter.dataProperty]===filter.filterValue&&(filter.checked?(item=_.cloneDeep(item),item.shownByAdvancedFilters||(item.shownByAdvancedFilters=[]),item.shownByAdvancedFilters.push(filter.dataProperty),shown=!0):item.shownByAdvancedFilters||(shown=!1))}),shown?item:void 0}))},paginate:function(direction){var size=this.pagination.size;this.pagination.cursor+="right"===direction?size:-1*size},resetPagination:function(){this.pagination.cursor=0},sliceData:function(data){return data.slice(this.pagination.cursor,this.pagination.cursor+this.pagination.size)},sortData:function(colIndex,direction){this.sortColIndex=colIndex,this.cols[colIndex].sortDirection=direction;var key,dataType=this.cols[this.sortColIndex].dataType;key="time"===dataType||"status"===dataType?this.cols[this.sortColIndex].dataProperty+"Timestamp":this.cols[this.sortColIndex].dataProperty,this.pagination&&this.resetPagination(),this.data.sort(function(a,b){var first=a[key],second=b[key];return"string"===dataType&&(first=first?first.toLowerCase():"",second=second?second.toLowerCase():""),("time"===dataType||"status"===dataType)&&(first=first||0,second=second||0),first>second?"ascending"===direction?1:-1:second>first?"ascending"===direction?-1:1:0})},getSelectedItems:function(){return this.selectedItems},getFilteredData:function(){return this.filteredData},updateBulkSelection:function(deselect){_.forEach(this.filteredData,function(data){deselect?delete this.selectedItems[data[this.selectDataProperty]]:this.selectedItems[data[this.selectDataProperty]]=data},this)},updateRowSelection:function(rowIndex){var key=this.displayedData[rowIndex][this.selectDataProperty];this.selectedItems[key]?delete this.selectedItems[key]:this.selectedItems[key]=this.displayedData[rowIndex]}};var TableStore=_.merge({collection:{},componentType:"Table",createInstance:function(id,definition,dataFormatter){return this.collection[id]=new Table(id,definition,dataFormatter),this.collection[id]},destroyInstance:function(id){delete this.collection[id]},getInstance:function(id){return this.collection[id]},getSelectedItems:function(id){return _.keys(this.collection[id].getSelectedItems())},dispatchRegister:function(payload){var action=payload.action;if(this.shouldHandleAction(action.component))switch(action.actionType){case ActionTypes.REQUEST_DATA:this.handleRequestDataAction(action);break;case ActionTypes.TABLE_SORT:this.collection[action.id].sortData(action.data.colIndex,action.data.direction),this.emitChange(action.id);break;case ActionTypes.FILTER:this.collection[action.id].setFilterValue(action.data.value),this.emitChange(action.id);break;case ActionTypes.ADVANCED_FILTER:this.collection[action.id].setAdvancedFilters(action.data.advancedFilters),this.emitChange(action.id);break;case ActionTypes.PAGINATE:this.collection[action.id].paginate(action.data.direction),this.emitChange(action.id);break;case ActionTypes.TOGGLE_BULK_SELECT:this.collection[action.id].updateBulkSelection(action.data.deselect),this.emitChange(action.id);break;case ActionTypes.TOGGLE_ROW_SELECT:this.collection[action.id].updateRowSelection(action.data.rowIndex),this.emitChange(action.id);break;case ActionTypes.DESTROY_INSTANCE:this.destroyInstance(action.id)}},Table:Table},StoreBase);return AppDispatcher.register(_.bind(TableStore.dispatchRegister,TableStore)),TableStore});
